### Hierarchy

- AsymmetricKeyDetails

## Index

### Properties

- divisorLength
- hashAlgorithm
- mgf1HashAlgorithm
- modulusLength
- namedCurve
- publicExponent
- saltLength

## Properties

### Optional divisorLength

divisorLength?: number

Size of q in bits (DSA).

### Optional hashAlgorithm

hashAlgorithm?: string

Name of the message digest (RSA-PSS).

### Optional mgf1HashAlgorithm

mgf1HashAlgorithm?: string

Name of the message digest used by MGF1 (RSA-PSS).

### Optional modulusLength

modulusLength?: number

Key size in bits (RSA, DSA).

### Optional namedCurve

namedCurve?: string

Name of the curve (EC).

### Optional publicExponent

publicExponent?: bigint

Public exponent (RSA).

### Optional saltLength

saltLength?: number

Minimal salt length in bytes (RSA-PSS).

Generated using TypeDoc